2019-07-04  Daniel Kiper  <daniel.kiper@oracle.com>

	Release 2.04

2019-06-24  Thomas Schmitt  <scdbackup@gmx.net>

	docs: Document workaround for grub-mkrescue with older MacBooks
	Add a description of the workaround for firmware of older MacBooks
	which stalls with a grub-mkrescue ISO image for x86_64-efi target
	on an USB stick.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-06-24  Eric Snowberg  <eric.snowberg@oracle.com>

	docs: Bootstrap changes required for older distros
	Some older distros do not contain gettext 0.18. Document the workaround
	to use the bootstrap utility on these systems.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-06-07  Leif Lindholm  <leif.lindholm@linaro.org>

	ia64: build fix in cache.h
	Add IA64 to the architectures excluding a declaration for
	grub_arch_sync_dma_caches().

	IA64 does not include any of the source files that require the function,
	but was overlooked for d8901e3ba115 ("cache: Fix compilation for ppc,
	sparc and arm64").

	Add it to the list of excluding architectures in order to not get
	missing symbol errors when running grub-mkimage.

	Reported-by: Alexander Graf <agraf@csgraf.de>
	Tested-by: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-06-07  Vladimir 'phcoder' Serbinenko  <phcoder@gmail.com>

	hostfs: #undef open and close.
	Unlike in case of disks in this case it's just a single place, so it's easier
	to just #undef

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-06-03  John Paul Adrian Glaubitz  <glaubitz@physik.fu-berlin.de>

	f2fs: Disable gcc9 -Waddress-of-packed-member
	Disable the -Wadress-of-packaed-member diagnostic for the grub_f2fs_label
	function since the result is found to be false postive.

	A pointer to the 'volume_name' member of 'struct grub_f2fs_superblock' is
	guaranteed to be aligned as the offset of 'volume_name' within the struct
	is dividable by the natural alignment on both 32- and 64-bit targets.

	grub-core/fs/f2fs.c: In function ‘grub_f2fs_label’:
	grub-core/fs/f2fs.c:1253:60: error: taking address of packed member of ‘struct grub_f2fs_superblock’ may result in an unaligned pointer value [-Werror=address-of-packed-member]
	 1253 |     *label = (char *) grub_f2fs_utf16_to_utf8 (data->sblock.volume_name);
	      |                                                ~~~~~~~~~~~~^~~~~~~~~~~~
	cc1: all warnings being treated as errors

	Reported-by: Neil MacLeod <neil@nmacleod.com>
	Tested-by: Neil MacLeod <neil@nmacleod.com>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-05-20  Vincent Legoll  <vincent.legoll@gmail.com>

	grub-mkrescue: Fix error message about the wrong command having failed: mformat instead of mcopy
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-05-20  Mathieu Trudel-Lapierre  <mathieu.tl@gmail.com>

	video: skip 'text' gfxpayload if not supported, to fallback to default
	On UEFI, 'text' gfxpayload is not supported, but we still reach parse_modespec()
	with it, which will obviously fail. Fortunately, whatever gfxpayload is set,
	we still still have the 'auto' default to fall back to. Allow getting to this
	fallback by not trying to parse 'text' as a modespec.

	This is because 'text' correctly doesn't parse as a modespec, and ought to have
	been ignored before we got to that point, just like it is immediately picked if
	we're running on a system where 'text' is a supported video mode.

	Bug: https://savannah.gnu.org/bugs/index.php?56217

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-05-20  Ovidiu Panait  <ovidiu.panait@windriver.com>

	grub-mkconfig: Use -c instead of --printf for stat
	"--printf" only works with the stat variant provided by coreutils.

	With busybox, stat will fail with the following error:
	stat: unrecognized option '--printf=%T'

	Usage: stat [OPTIONS] FILE...

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-05-20  Michael Chang  <mchang@suse.com>

	f2fs: Fix gcc9 error -Werror=maybe-uninitialized
	The function grub_get_node_path() could return uninitialized offset with
	level == 0 if the block is greater than direct_index + 2 * direct_blks +
	2 * indirect_blks + dindirect_blks. The uninitialized offset is then used
	by function grub_f2fs_get_block() because level == 0 is valid and
	meaningful return to be processed.

	The fix is to set level = -1 as return value by grub_get_node_path() to
	signify an error that the input block cannot be handled. Any caller
	should therefore check level is negative or not before processing the
	output.

	Reported-by: Neil MacLeod <neil@nmacleod.com>
	Tested-by: Neil MacLeod <neil@nmacleod.com>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-05-06  Alexander Graf  <agraf@csgraf.de>

	arm: Align section alignment with manual relocation offset code
	The arm relocation code has a manual special case for EFI binaries to
	add the natural alignment to its own relocation awareness.

	Since commit a51f953f4ee87 ("mkimage: Align efi sections on 4k
	boundary") we changed that alignment from 0x400 to 0x1000 bytes. Reflect
	the change in that branch that we forgot as well.

	This fixes running 32bit arm grub efi binaries for me again.

	Fixes: a51f953f4ee87 ("mkimage: Align efi sections on 4k boundary")
	Reported-by: Heinrich Schuchardt <xypron.glpk@gmx.de>
	Reported-by: Steve McIntyre <steve@einval.com>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>
	Tested-by: Julien ROBIN <julien.robin28@free.fr>
	Reviewed-by: Leif Lindholm <leif.lindholm@linaro.org>
	Tested-by: Leif Lindholm <leif.lindholm@linaro.org>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-05-06  Alexander Graf  <agraf@csgraf.de>

	arm: Move trampolines into code section
	When creating T32->A32 transition jumps, the relocation code in grub
	will generate trampolines. These trampolines live in the .data section
	of our PE binary which means they are not marked as executable.

	This misbehavior was unmasked by commit a51f953f4ee87 ("mkimage: Align
	efi sections on 4k boundary") which made the X/NX boundary more obvious
	because everything became page aligned.

	To put things into proper order, let's move the arm trampolines into the
	.text section instead. That way everyone knows they are executable.

	Fixes: a51f953f4ee87 ("mkimage: Align efi sections on 4k boundary")
	Reported-by: Julien ROBIN <julien.robin28@free.fr>
	Reported-by: Leif Lindholm <leif.lindholm@linaro.org>
	Tested-by: Julien ROBIN <julien.robin28@free.fr>
	Reviewed-by: Leif Lindholm <leif.lindholm@linaro.org>
	Tested-by: Leif Lindholm <leif.lindholm@linaro.org>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Michael Chang  <mchang@suse.com>

	efi: Fix gcc9 error -Waddress-of-packed-member
	The address of fp->path_name could be unaligned since seeking into the
	device path buffer for a given node could end in byte boundary.

	The fix is allocating aligned buffer by grub_malloc for holding the
	UTF16 string copied from fp->path_name, and after using that buffer as
	argument for grub_utf16_to_utf8 to convert it to UTF8 string.

	[  255s] ../../grub-core/kern/efi/efi.c: In function 'grub_efi_get_filename':
	[  255s] ../../grub-core/kern/efi/efi.c:410:60: error: taking address of packed member of 'struct grub_efi_file_path_device_path' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[  255s]   410 |    p = (char *) grub_utf16_to_utf8 ((unsigned char *) p, fp->path_name, len);
	[  255s]       |                                                          ~~^~~~~~~~~~~
	[  255s] ../../grub-core/kern/efi/efi.c: In function 'grub_efi_print_device_path':
	[  255s] ../../grub-core/kern/efi/efi.c:900:33: error: taking address of packed member of 'struct grub_efi_file_path_device_path' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[  255s]   900 |     *grub_utf16_to_utf8 (buf, fp->path_name,
	[  255s]       |                               ~~^~~~~~~~~~~

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Michael Chang  <mchang@suse.com>

	chainloader: Fix gcc9 error -Waddress-of-packed-member
	The address of fp->path_name could be unaligned since seeking into the
	device path buffer for a given node could end in byte boundary.

	The fix is using aligned buffer allocated by grub_malloc for receiving
	the converted UTF16 string by grub_utf8_to_utf16 and also the processing
	after. The resulting string then gets copied to fp->path_name.

	[  243s] ../../grub-core/loader/efi/chainloader.c: In function 'copy_file_path':
	[  243s] ../../grub-core/loader/efi/chainloader.c:136:32: error: taking address of packed member of 'struct grub_efi_file_path_device_path' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[  243s]   136 |   size = grub_utf8_to_utf16 (fp->path_name, len * GRUB_MAX_UTF16_PER_UTF8,
	[  243s]       |                              ~~^~~~~~~~~~~
	[  243s] ../../grub-core/loader/efi/chainloader.c:138:12: error: taking address of packed member of 'struct grub_efi_file_path_device_path' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[  243s]   138 |   for (p = fp->path_name; p < fp->path_name + size; p++)
	[  243s]       |            ^~

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Michael Chang  <mchang@suse.com>

	usbtest: Disable gcc9 -Waddress-of-packed-member
	Disable the -Wadress-of-packaed-member diagnostic for the
	grub_usb_get_string function since the result is false postive. The
	descstrp->str is found to be aligned in the buffer allocated for 'struct
	grub_usb_desc_str'.

	[  229s] ../../grub-core/commands/usbtest.c: In function 'grub_usb_get_string':
	[  229s] ../../grub-core/commands/usbtest.c:104:58: error: taking address of packed member of 'struct grub_usb_desc_str' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[  229s]   104 |   *grub_utf16_to_utf8 ((grub_uint8_t *) *string, descstrp->str,
	[  229s]       |                                                  ~~~~~~~~^~~~~

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Michael Chang  <mchang@suse.com>

	acpi: Fix gcc9 error -Waddress-of-packed-member
	Simply adds the missing packed attribute to 'struct grub_acpi_madt'.

	[  233s] ../../grub-core/commands/lsacpi.c: In function 'disp_acpi_xsdt_table':
	[  233s] ../../grub-core/commands/lsacpi.c:201:27: error: converting a packed 'struct grub_acpi_table_header' pointer (alignment 1) to a 'struct grub_acpi_madt' pointer (alignment 4) may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[  233s]   201 |  disp_madt_table ((struct grub_acpi_madt *) t);
	[  233s]       |                           ^~~~~~~~~~~~~~
	[  233s] In file included from ../../grub-core/commands/lsacpi.c:23:
	[  233s] ../../include/grub/acpi.h:50:8: note: defined here
	[  233s]    50 | struct grub_acpi_table_header
	[  233s]       |        ^~~~~~~~~~~~~~~~~~~~~~
	[  233s] ../../include/grub/acpi.h:90:8: note: defined here
	[  233s]    90 | struct grub_acpi_madt
	[  233s]       |        ^~~~~~~~~~~~~~
	[  233s] ../../grub-core/commands/lsacpi.c: In function 'disp_acpi_rsdt_table':
	[  233s] ../../grub-core/commands/lsacpi.c:225:27: error: converting a packed 'struct grub_acpi_table_header' pointer (alignment 1) to a 'struct grub_acpi_madt' pointer (alignment 4) may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[  233s]   225 |  disp_madt_table ((struct grub_acpi_madt *) t);
	[  233s]       |                           ^~~~~~~~~~~~~~
	[  233s] In file included from ../../grub-core/commands/lsacpi.c:23:
	[  233s] ../../include/grub/acpi.h:50:8: note: defined here
	[  233s]    50 | struct grub_acpi_table_header
	[  233s]       |        ^~~~~~~~~~~~~~~~~~~~~~
	[  233s] ../../include/grub/acpi.h:90:8: note: defined here
	[  233s]    90 | struct grub_acpi_madt
	[  233s]       |        ^~~~~~~~~~~~~~

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Michael Chang  <mchang@suse.com>

	hfsplus: Fix gcc9 error with -Waddress-of-packed-member
	The catkey->name could be unaligned since the address of 'void* record'
	is calculated as offset in bytes to a malloc buffer.

	The fix is using aligned buffer allocated by grub_malloc for holding
	the UTF16 string copied from catkey->name. And use that buffer as
	argument for grub_utf16_to_utf8 to convert to UTF8 strings.

	In addition, using a new copy of buffer rather than catkey->name itself
	for processing the endianess conversion, we can also get rid of the hunk
	restoring byte order of catkey->name to what it was previously.

	[   59s] ../grub-core/fs/hfsplus.c: In function 'list_nodes':
	[   59s] ../grub-core/fs/hfsplus.c:738:57: error: taking address of packed member of 'struct grub_hfsplus_catkey' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]   738 |   *grub_utf16_to_utf8 ((grub_uint8_t *) filename, catkey->name,
	[   59s]       |                                                   ~~~~~~^~~~~~
	[   59s] ../grub-core/fs/hfsplus.c: In function 'grub_hfsplus_label':
	[   59s] ../grub-core/fs/hfsplus.c:1019:57: error: taking address of packed member of 'struct grub_hfsplus_catkey' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]  1019 |   *grub_utf16_to_utf8 ((grub_uint8_t *) (*label), catkey->name,
	[   59s]       |                                                   ~~~~~~^~~~~~

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Michael Chang  <mchang@suse.com>

	hfs: Fix gcc9 error -Waddress-of-packed-member
	Simply adds the missing packed attribute to 'struct grub_hfs_extent'.

	[   83s] ../grub-core/fs/hfs.c: In function 'grub_hfs_iterate_records':
	[   83s] ../grub-core/fs/hfs.c:699:9: error: taking address of packed member of 'struct grub_hfs_sblock' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   83s]   699 |      ? (&data->sblock.catalog_recs)
	[   83s]       |        ~^~~~~~~~~~~~~~~~~~~~~~~~~~~
	[   83s] ../grub-core/fs/hfs.c:700:9: error: taking address of packed member of 'struct grub_hfs_sblock' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   83s]   700 |      : (&data->sblock.extent_recs));
	[   83s]       |        ~^~~~~~~~~~~~~~~~~~~~~~~~~~

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Michael Chang  <mchang@suse.com>

	jfs: Disable gcc9 -Waddress-of-packed-member
	Disable the -Wadress-of-packaed-member diagnostic for the
	grub_jfs_getent function since the result is found to be false postive.

	The leaf is read into memory as continous chunks in size of 32 bytes and
	the pointer to its base is aligned, which also guarentee its member
	leaf->namepart is aligned.

	[   60s] ../grub-core/fs/jfs.c: In function 'grub_jfs_getent':
	[   60s] ../grub-core/fs/jfs.c:557:44: error: taking address of packed member of 'struct grub_jfs_leaf_dirent' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   60s]   557 |   le_to_cpu16_copy (filename + strpos, leaf->namepart, len < diro->data->namecomponentlen ? len
	[   60s]       |                                        ~~~~^~~~~~~~~~
	[   60s] ../grub-core/fs/jfs.c:570:48: error: taking address of packed member of 'struct grub_jfs_leaf_next_dirent' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   60s]   570 |  le_to_cpu16_copy (filename + strpos, next_leaf->namepart, len < 15 ? len : 15);
	[   60s]       |                                       ~~~~~~~~~^~~~~~~~~~
	[   60s] cc1: all warnings being treated as errors

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Michael Chang  <mchang@suse.com>

	cpio: Disable gcc9 -Waddress-of-packed-member
	Disable the -Wadress-of-packaed-member diagnostic for the
	grub_cpio_find_file function since the result is found to be false
	postive. Any pointers to member of the 'struct head hd' is aligned even
	if the structure is packed without paddings.

	[   59s] In file included from ../grub-core/fs/cpio.c:51:
	[   59s] ../grub-core/fs/cpio_common.c: In function 'grub_cpio_find_file':
	[   59s] ../grub-core/fs/cpio_common.c:58:31: error: taking address of packed member of 'struct head' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]    58 |   data->size = read_number (hd.filesize, ARRAY_SIZE (hd.filesize));
	[   59s]       |                             ~~^~~~~~~~~
	[   59s] ../grub-core/fs/cpio_common.c:60:29: error: taking address of packed member of 'struct head' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]    60 |     *mtime = read_number (hd.mtime, ARRAY_SIZE (hd.mtime));
	[   59s]       |                           ~~^~~~~~
	[   59s] ../grub-core/fs/cpio_common.c:61:28: error: taking address of packed member of 'struct head' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]    61 |   modeval = read_number (hd.mode, ARRAY_SIZE (hd.mode));
	[   59s]       |                          ~~^~~~~
	[   59s] ../grub-core/fs/cpio_common.c:62:29: error: taking address of packed member of 'struct head' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]    62 |   namesize = read_number (hd.namesize, ARRAY_SIZE (hd.namesize));
	[   59s]       |                           ~~^~~~~~~~~
	[   59s] In file included from ../grub-core/fs/cpio_be.c:51:
	[   59s] ../grub-core/fs/cpio_common.c: In function 'grub_cpio_find_file':
	[   59s] ../grub-core/fs/cpio_common.c:58:31: error: taking address of packed member of 'struct head' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]    58 |   data->size = read_number (hd.filesize, ARRAY_SIZE (hd.filesize));
	[   59s]       |                             ~~^~~~~~~~~
	[   59s] ../grub-core/fs/cpio_common.c:60:29: error: taking address of packed member of 'struct head' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]    60 |     *mtime = read_number (hd.mtime, ARRAY_SIZE (hd.mtime));
	[   59s]       |                           ~~^~~~~~
	[   59s] ../grub-core/fs/cpio_common.c:61:28: error: taking address of packed member of 'struct head' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]    61 |   modeval = read_number (hd.mode, ARRAY_SIZE (hd.mode));
	[   59s]       |                          ~~^~~~~
	[   59s] ../grub-core/fs/cpio_common.c:62:29: error: taking address of packed member of 'struct head' may result in an unaligned pointer value [-Werror=address-of-packed-member]
	[   59s]    62 |   namesize = read_number (hd.namesize, ARRAY_SIZE (hd.namesize));
	[   59s]       |                           ~~^~~~~~~~~

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Heinrich Schuchardt  <xypron.glpk@gmx.de>

	efi: Avoid NULL dereference if FilePath is NULL
	The UEFI specification allows LoadImage() to be called with a memory
	location only and without a device path. In this case FilePath will not be
	set in the EFI_LOADED_IMAGE_PROTOCOL.

	So in function grub_efi_get_filename() the device path argument may be
	NULL. As we cannot determine the device path in this case just return NULL
	from the function.

	Reviewed-by: Leif Lindholm <leif.lindholm@linaro.org>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-23  Daniel Kiper  <daniel.kiper@oracle.com>

	x86/msr: Fix build with older GCC versions
	Some older GCC versions produce following error when x86 MSR modules are build:

	  In file included from commands/i386/rdmsr.c:29:0:
	  ../include/grub/i386/rdmsr.h:27:29: error: no previous prototype for ‘grub_msr_read’ [-Werror=missing-prototypes]
	   extern inline grub_uint64_t grub_msr_read (grub_uint32_t msr_id)
	                               ^
	  cc1: all warnings being treated as errors

	This happens due to lack of support for a such usage of extern keyword
	in older GCCs. Additionally, this usage is not consistent with the rest
	of codebase. So, replace it with static keyword.

	Additionally, fix incorrect coding style.

	Reported-by: Eric Snowberg <eric.snowberg@oracle.com>
	Reported-by: adrian15 <adrian15sgd@gmail.com>
	Reviewed-by: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
	Reviewed-by: Eric Snowberg <eric.snowberg@oracle.com>
	Tested-by: adrian15 <adrian15sgd@gmail.com>

2019-04-09  Vladimir Serbinenko  <phcoder@gmail.com>

	Release 2.04~rc1

2019-04-09  Vladimir Serbinenko  <phcoder@gmail.com>

	Change fs functions to add fs_ prefix
	This avoid conflict with gnulib

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-08  Vladimir Serbinenko  <phcoder@google.com>

	A workaround for clang problem assembling startup_raw.S
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-04  Eric Snowberg  <eric.snowberg@oracle.com>

	ieee1275: NULL pointer dereference in grub_ieee1275_encode_devname()
	Function grub_strndup() may return NULL, this is called from
	function grub_ieee1275_get_devname() which is then called from
	function grub_ieee1275_encode_devname() to set device. The device
	variable could then be used with a NULL pointer.

	Reviewed-by: Colin Watson <cjwatson@ubuntu.com>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-02  Daniel Kiper  <daniel.kiper@oracle.com>

	docs/grub-dev: Change comments rules
	Current comments forms are annoying, so, some of them are disallowed
	starting from now. New rules are more flexible and mostly aligned
	with, e.g., Linux kernel comments rules.

	Reviewed-by: Vladimir Serbinenko <phcoder@google.com>

2019-04-02  Andrew Jeddeloh  <andrew.jeddeloh@coreos.com>

	loader/i386/linux: Calculate the setup_header length
	Previously the setup_header length was just assumed to be the size of the
	linux_kernel_params struct. The linux x86 32-bit boot protocol says that the
	end of the linux_i386_kernel_header is at 0x202 + the byte value at 0x201 in
	the linux_i386_kernel_header. So, calculate the size of the header using the
	end of the linux_i386_kernel_header, rather than assume it is the size of the
	linux_kernel_params struct.

	Additionally, add some required members to the linux_kernel_params
	struct and align the content of linux_i386_kernel_header struct with
	it. New members naming was taken directly from Linux kernel source.

	linux_kernel_params and linux_i386_kernel_header structs require more
	cleanup. However, this is not urgent, so, let's do this after release.
	Just in case...

	Reviewed-by: Vladimir Serbinenko <phcoder@google.com>
	Reviewed-by: Ross Philipson <ross.philipson@oracle.com>

2019-04-02  Eric Snowberg  <eric.snowberg@oracle.com>

	efidisk: NULL pointer dereference in grub_efidisk_get_device_name()
	Function grub_efi_find_last_device_path() may return NULL when called
	from grub_efidisk_get_device_name().

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-02  Eric Snowberg  <eric.snowberg@oracle.com>

	efidisk: NULL pointer dereference in is_child()
	Function grub_efi_find_last_device() path may return NULL when called
	from is_child().

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-02  Eric Snowberg  <eric.snowberg@oracle.com>

	efidisk: Write to NULL pointer ldp
	Function grub_efi_find_last_device_path() may return constant NULL when
	called from find_parent_device().

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-04-02  Vladimir Serbinenko  <phcoder@google.com>

	clang: Pair -Qn with -Qunused-arguments.
	When assembling module wirh clang -Qn ends up on command line but later ignored
	To avoid it breaking the compile, add -Qunused-arguments.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-28  John Paul Adrian Glaubitz  <glaubitz@physik.fu-berlin.de>

	ieee1275: Fix path reference in comment of sparc64 boot loader code
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-28  John Paul Adrian Glaubitz  <glaubitz@physik.fu-berlin.de>

	ieee1275: Include a.out header in assembly of sparc64 boot loader
	Recent versions of binutils dropped support for the a.out and COFF
	formats on sparc64 targets. Since the boot loader on sparc64 is
	supposed to be an a.out binary and the a.out header entries are
	rather simple to calculate in our case, we just write the header
	ourselves instead of relying on external tools to do that.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-26  Vladimir Serbinenko  <phcoder@gmail.com>

	Propagate GNU_PRINTF from gnulib vfprintf
	gnulib now replaces vfprintf and hence its format becomes GNU_PRINTF format

	This also fixes matching definitions to always use GNU format

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-26  Vladimir Serbinenko  <phcoder@gmail.com>

	efi/tpm.c: Add missing casts
	Without those casts we get a warning about implicit conversion of pointer
	to integer.

2019-03-26  Vladimir Serbinenko  <phcoder@gmail.com>

	POTFILES: Don't include gnulib in grub.pot
	They're translated as a separate project, so we
	don't want to submit them again.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-26  Vladimir Serbinenko  <phcoder@google.com>

	configure.ac: Use nostdlib when checking for nostdinc
	With clang nostdinc behaviour is influenced by nostdlib. Since we
	always add nostdlib, add it in test as well

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-25  Vladimir Serbinenko  <phcoder@gmail.com>

	efi/tpm.h: Fix hash_log_extend_event definition.
	I didn't check the spec but pointer to address doesn't make much sense
	and doesn't match the code.

	Rename grub_disk members
	Otherwise it horribly clashes with gnulib when it's
	replacing open/write/read/close

	grub-mkimagexx: Fix RISCV error message
	Outputting a raw pointer doesn't match the format and is
	also useless. Output offset instead.

	kern/emu/misc.c: Don't include config-util.h when running as GRUB_BUILD

	Support R_PPC_PLTREL24
	It's emitted by clang 7. It's the same as R_PPC_REL24.

2019-03-20  Daniel Kiper  <daniel.kiper@oracle.com>

	sparc: Enable __clzsi2() and __clzdi2()
	This patch is similiar to commit e795b9011 (RISC-V: Add libgcc helpers
	for clz) but for SPARC target.

	Reviewed-by: Ross Philipson <ross.philipson@oracle.com>

2019-03-20  Daniel Kiper  <daniel.kiper@oracle.com>

	mips: Enable __clzsi2()
	This patch is similiar to commit e795b9011 (RISC-V: Add libgcc helpers
	for clz) but for MIPS target.

	Reviewed-by: Ross Philipson <ross.philipson@oracle.com>

2019-03-20  Daniel Kiper  <daniel.kiper@oracle.com>

	verifiers: MIPS fallout cleanup
	MIPS fallout cleanup after commit 4d4a8c96e (verifiers: Add possibility
	to verify kernel and modules command lines).

	Reviewed-by: Ross Philipson <ross.philipson@oracle.com>

2019-03-20  Daniel Kiper  <daniel.kiper@oracle.com>

	verifiers: PowerPC fallout cleanup
	PowerPC fallout cleanup after commit 4d4a8c96e (verifiers: Add possibility
	to verify kernel and modules command lines) and ca0a4f689 (verifiers: File
	type for fine-grained signature-verification controlling).

	Reviewed-by: Ross Philipson <ross.philipson@oracle.com>

2019-03-20  Daniel Kiper  <daniel.kiper@oracle.com>

	verifiers: IA-64 fallout cleanup
	IA-64 fallout cleanup after commit 4d4a8c96e (verifiers: Add possibility
	to verify kernel and modules command lines).

	Reviewed-by: Ross Philipson <ross.philipson@oracle.com>

2019-03-20  Colin Watson  <cjwatson@ubuntu.com>

	posix_wrap: Flesh out posix_wrap/limits.h a little more
	In addition to what was already there, Gnulib's <intprops.h> needs SCHAR_MIN,
	SCHAR_MAX, SHRT_MIN, INT_MIN, LONG_MIN, and LONG_MAX. Fixes build on CentOS 7.

	Reported-by: "Chen, Farrah" <farrah.chen@intel.com>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-19  Marek Marczykowski-Górecki  <marmarek@invisiblethingslab.com>

	xen: Look for Xen notes in section headers too
	Mirror behaviour of ELF loader in libxc: first look for Xen notes in
	PT_NOTE segment, then in SHT_NOTE section and only then fallback to
	a section with __xen_guest name. This fixes loading PV kernels that
	Xen note have outside of PT_NOTE. While this may be result of a buggy
	linker script, loading such kernel directly works fine, so make it work
	with GRUB too. Specifically, this applies to binaries built from Unikraft.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-19  Colin Watson  <cjwatson@ubuntu.com>

	getroot: Save/restore CWD more reliably on Unix
	Various GRUB utilities fail if the current directory doesn't exist,
	because grub_find_device() chdirs to a different directory and then
	fails when trying to chdir back.  Gnulib's save-cwd module uses fchdir()
	instead when it can, avoiding this category of problem.

	Fixes Debian bug #918700.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Add explicit net_dhcp command
	Mostly for cosmetic reasons, we add a "net_dhcp" command, which is (at the
	moment) identical to the existing "net_bootp" command. Both actually trigger
	a DHCP handshake now, and both should be able to deal with pure BOOTP servers.
	We could think about dropping the DHCP options from the initial DISCOVER packet
	when the user issues the net_bootp command, but it's unclear whether this is
	really useful, as both protocols should be able to coexist.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Actually send out DHCPv4 DISCOVER and REQUEST messages
	Even though we were parsing some DHCP options sent by the server, so far
	we are only using the BOOTP 2-way handshake, even when talking to a DHCP
	server.

	Change this by actually sending out DHCP DISCOVER packets instead of the
	generic (mostly empty) BOOTP BOOTREQUEST packets.

	A pure BOOTP server would ignore the extra DHCP options in the DISCOVER
	packet and would just reply with a BOOTREPLY packet, which we also
	handle in the code.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Allow receiving DHCP OFFER and ACK packets
	In respone to a BOOTREQUEST packet a BOOTP server would answer with a BOOTREPLY
	packet, which ends the conversation for good. DHCP uses a 4-way handshake,
	where the initial server respone is an OFFER, which has to be answered with
	REQUEST by the client again, only to be completed by an ACKNOWLEDGE packet
	from the server.

	Teach the grub_net_process_dhcp() function to deal with OFFER packets,
	and treat ACK packets the same es BOOTREPLY packets.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Use DHCP options for name and bootfile
	The BOOTP RFC describes the boot file name and the server name as being part
	of the integral BOOTP data structure, with some limits on the size of them.
	DHCP extends this by allowing them to be separate DHCP options, which is more
	flexible.

	Teach the code dealing with those fields to check for those DHCP options first
	and use this information, if provided. We fall back to using the BOOTP
	information if those options are not used.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Introduce per-interface timeout
	Currently we have a global timeout for all network cards in the BOOTP/DHCP
	discovery process.

	Make this timeout a per-interface one, so better accommodate the upcoming
	4-way DHCP handshake and to also cover the lease time limit a DHCP offer
	will come with.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Make grub_net_process_dhcp() take an interface
	Change the interface of the function dealing with incoming BOOTP packets
	to take an interface instead of a card, to allow more fine per-interface
	state (timeout, handshake state) later on.

	Use the opportunity to clean up the code a bit.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Refactor DHCP packet transmission into separate function
	In contrast to BOOTP, DHCP uses a 4-way handshake, so requires to send
	packets more often.

	Refactor the generation and sending of the BOOTREQUEST packet into
	a separate function, so that future code can more easily reuse this.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Allow overloading legacy bootfile and name field
	DHCP specifies a special dummy option OVERLOAD, to allow DHCP options to
	spill over into the (legacy) BOOTFILE and SNAME fields.

	Parse and handle this option properly.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Replace parse_dhcp_vendor() with find_dhcp_option()
	For proper DHCP support we will need to parse DHCP options from a packet
	more often and at various places.

	Refactor the option parsing into a new function, which will scan a packet to
	find *a particular* option field. Use that new function in places where we
	were dealing with DHCP options before.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Andrei Borzenkov  <arvidjaar@gmail.com>

	net/dhcp: Remove dead code
	The comment is right, the "giaddr" fields holds the IP address of the BOOTP
	relay, not a general purpose router address. Just remove the commented code,
	archeologists can find it in the git history.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Jesús Diéguez Fernández  <jesusdf@gmail.com>

	msr: Add new MSR modules (rdmsr/wrmsr)
	In order to be able to read from and write to model-specific registers,
	two new modules are added. They are i386 specific, as the cpuid module.

	rdmsr module registers the command rdmsr that allows reading from a MSR.
	wrmsr module registers the command wrmsr that allows writing to a MSR.

	wrmsr module is disabled if UEFI secure boot is enabled.

	Please note that on SMP systems, interacting with a MSR that has a scope
	per hardware thread, implies that the value only applies to the
	particular cpu/core/thread that ran the command.

	Also, if you specify a reserved or unimplemented MSR address, it will
	cause a general protection exception (which is not currently being
	handled) and the system will reboot.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Jesús Diéguez Fernández  <jesusdf@gmail.com>

	asm: Replace "__asm__ __volatile__" with "asm volatile"
	In order to maintain the coding style consistency, it was requested to
	replace the methods that use "__asm__ __volatile__" with "asm volatile".

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Eric Snowberg  <eric.snowberg@oracle.com>

	sparc64: Add bios boot partition support
	Add BIOS Boot Partition support for sparc64 platforms.  This will work a
	little different than x86.  With GPT, both the OBP "load" and "boot" commands
	are partition aware and neither command can see the partition table.  Therefore
	the entire boot-loader is stored within the BIOS Boot Partition and nothing
	is stored within the bootstrap code area of MBR.

	To use it, the end user will issue the boot command with the path pointing to
	the BIOS Boot Partition.

	For example with the disk below:

	Model: Unknown (unknown)
	Disk /dev/nvme1n1: 1600GB
	Sector size (logical/physical): 512B/512B
	Partition Table: gpt

	Number  Start   End     Size    File system  Name  Flags
	1      1049kB  1075MB  1074MB   ext3
	2      1075MB  1076MB  1049kB                     bios_grub
	3      1076MB  1600GB  1599GB                     lvm

	To boot grub2 from OBP, you would use:

	boot /pci@302/pci@1/pci@0/pci@13/nvme@0/disk@1:b

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Eric Snowberg  <eric.snowberg@oracle.com>

	ieee1275: obdisk driver
	Add a new disk driver called obdisk for IEEE1275 platforms.  Currently
	the only platform using this disk driver is SPARC, however other IEEE1275
	platforms could start using it if they so choose.  While the functionality
	within the current IEEE1275 ofdisk driver may be suitable for PPC and x86, it
	presented too many problems on SPARC hardware.

	Within the old ofdisk, there is not a way to determine the true canonical
	name for the disk.  Within Open Boot, the same disk can have multiple names
	but all reference the same disk.  For example the same disk can be referenced
	by its SAS WWN, using this form:

	/pci@302/pci@2/pci@0/pci@17/LSI,sas@0/disk@w5000cca02f037d6d,0

	It can also be referenced by its PHY identifier using this form:

	/pci@302/pci@2/pci@0/pci@17/LSI,sas@0/disk@p0

	It can also be referenced by its Target identifier using this form:

	/pci@302/pci@2/pci@0/pci@17/LSI,sas@0/disk@0

	Also, when the LUN=0, it is legal to omit the ,0 from the device name.  So with
	the disk above, before taking into account the device aliases, there are 6 ways
	to reference the same disk.

	Then it is possible to have 0 .. n device aliases all representing the same disk.
	Within this new driver the true canonical name is determined using the the
	IEEE1275 encode-unit and decode-unit commands when address_cells == 4.  This
	will determine the true single canonical name for the device so multiple ihandles
	are not opened for the same device.  This is what frequently happens with the old
	ofdisk driver.  With some devices when they are opened multiple times it causes
	the entire system to hang.

	Another problem solved with this driver is devices that do not have a device
	alias can be booted and used within GRUB. Within the old ofdisk, this was not
	possible, unless it was the original boot device.  All devices behind a SAS
	or SCSI parent can be found.   Within the old ofdisk, finding these disks
	relied on there being an alias defined.  The alias requirement is not
	necessary with this new driver.  It can also find devices behind a parent
	after they have been hot-plugged.  This is something that is not possible
	with the old ofdisk driver.

	The old ofdisk driver also incorrectly assumes that the device pointing to by a
	device alias is in its true canonical form. This assumption is never made with
	this new driver.

	Another issue solved with this driver is that it properly caches the ihandle
	for all open devices.  The old ofdisk tries to do this by caching the last
	opened ihandle.  However this does not work properly because the layer above
	does not use a consistent device name for the same disk when calling into the
	driver.  This is because the upper layer uses the bootpath value returned within
	/chosen, other times it uses the device alias, and other times it uses the
	value within grub.cfg.  It does not have a way to figure out that these devices
	are the same disk.  This is not a problem with this new driver.

	Due to the way GRUB repeatedly opens and closes the same disk. Caching the
	ihandle is important on SPARC.  Without caching, some SAS devices can take
	15 - 20 minutes to get to the GRUB menu. This ihandle caching is not possible
	without correctly having the canonical disk name.

	When available, this driver also tries to use the deblocker #blocks and
	a way of determining the disk size.

	Finally and probably most importantly, this new driver is also capable of
	seeing all partitions on a GPT disk.  With the old driver, the GPT
	partition table can not be read and only the first partition on the disk
	can be seen.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-12  Paul Menzel  <pmenzel@molgen.mpg.de>

	Makefile: Allow to set file systems modules for default_payload.elf
	By default all file system modules are added to the GRUB coreboot
	payload `default_payload.elf`. This makes the image quite big,
	especially as often not all modules are needed.

	Introduce the variable `FS_PAYLOAD_MODULES`, which can be used to
	explicitly set file systems modules to be added.

	    $ make default_payload.elf
	    test -f default_payload.elf && rm default_payload.elf || true
	    pkgdatadir=. ./grub-mkstandalone --grub-mkimage=./grub-mkimage -O i386-coreboot -o default_payload.elf --modules='ahci pata ehci uhci ohci usb_keyboard usbms part_msdos ext2 fat at_keyboard part_gpt usbserial_usbdebug cbfs' --install-modules='ls linux search configfile normal cbtime cbls memrw iorw minicmd lsmmap lspci halt reboot hexdump pcidump regexp setpci lsacpi chain test serial multiboot cbmemc linux16 gzio echo help syslinuxcfg xnu affs afs bfs btrfs cbfs cpio cpio_be exfat ext2 f2fs fat hfs hfsplus iso9660 jfs minix minix2 minix2_be minix3 minix3_be minix_be newc nilfs2 ntfs odc procfs reiserfs romfs sfs squash4 tar udf ufs1 ufs1_be ufs2 xfs zfs password_pbkdf2 ' --fonts= --themes= --locales= -d grub-core/ /boot/grub/grub.cfg=./coreboot.cfg
	    $ ls -l default_payload.elf
	    -rw-rw---- 1 joey joey 1199568 Mar  6 13:58 default_payload.elf

	    $ make default_payload.elf FS_PAYLOAD_MODULES="" # ext2 already in `--modules`
	    test -f default_payload.elf && rm default_payload.elf || true
	    pkgdatadir=. ./grub-mkstandalone --grub-mkimage=./grub-mkimage -O i386-coreboot -o default_payload.elf --modules='ahci pata ehci uhci ohci usb_keyboard usbms part_msdos ext2 fat at_keyboard part_gpt usbserial_usbdebug cbfs' --install-modules='ls linux search configfile normal cbtime cbls memrw iorw minicmd lsmmap lspci halt reboot hexdump pcidump regexp setpci lsacpi chain test serial multiboot cbmemc linux16 gzio echo help syslinuxcfg xnu  password_pbkdf2 ' --fonts= --themes= --locales= -d grub-core/ /boot/grub/grub.cfg=./coreboot.cfg
	    $ ls -l default_payload.elf
	    -rw-rw---- 1 joey joey 832976 Mar  7 12:13 default_payload.elf

	So, the resulting payload size is around 370 kB smaller. (Adding it to
	the CBFS, it will be compressed, so the effective size difference will
	be smaller.)

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-07  Vladimir Serbinenko  <phcoder@gmail.com>

	windows/platform.c: Fix compilation errors

2019-03-05  Colin Watson  <cjwatson@ubuntu.com>

	gnulib: Upgrade Gnulib and switch to bootstrap tool
	Upgrade Gnulib files to 20190105.

	It's much easier to maintain GRUB's use of portability support files
	from Gnulib when the process is automatic and driven by a single
	configuration file, rather than by maintainers occasionally running
	gnulib-tool and committing the result.  Removing these
	automatically-copied files from revision control also removes the
	temptation to hack the output in ways that are difficult for future
	maintainers to follow.  Gnulib includes a "bootstrap" program which is
	designed for this.

	The canonical way to bootstrap GRUB from revision control is now
	"./bootstrap", but "./autogen.sh" is still useful if you just want to
	generate the GRUB-specific parts of the build system.

	GRUB now requires Autoconf >= 2.63 and Automake >= 1.11, in line with
	Gnulib.

	Gnulib source code is now placed in grub-core/lib/gnulib/ (which should
	not be edited directly), and GRUB's patches are in
	grub-core/lib/gnulib-patches/.  I've added a few notes to the developer
	manual on how to maintain this.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-05  Colin Watson  <cjwatson@ubuntu.com>

	syslinux: Fix syslinux_test in out-of-tree builds
	syslinux_parse simplifies some filenames by removing things like ".."
	segments, but the tests assumed that @abs_top_srcdir@ would be
	untouched, which is not true in the case of out-of-tree builds where
	@abs_top_srcdir@ may contain ".." segments.

	Performing the substitution requires some awkwardness in Makefile.am due
	to details of how config.status works.

	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-05  Colin Watson  <cjwatson@ubuntu.com>

	util: Detect more I/O errors
	Many of GRUB's utilities don't check anywhere near all the possible
	write errors.  For example, if grub-install runs out of space when
	copying a file, it won't notice.  There were missing checks for the
	return values of write, fflush, fsync, and close (or the equivalents on
	other OSes), all of which must be checked.

	I tried to be consistent with the existing logging practices of the
	various hostdisk implementations, but they weren't entirely consistent
	to start with so I used my judgement.  The result at least looks
	reasonable on GNU/Linux when I provoke a write error:

	  Installing for x86_64-efi platform.
	  grub-install: error: cannot copy `/usr/lib/grub/x86_64-efi-signed/grubx64.efi.signed' to `/boot/efi/EFI/debian/grubx64.efi': No space left on device.

	There are more missing checks in other utilities, but this should fix
	the most critical ones.

	Fixes Debian bug #922741.

	Reviewed-by: Steve McIntyre <93sam@debian.org>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-03-05  James Clarke  <jrtc27@jrtc27.com>

	osdep/freebsd: Fix partition calculation for EBR entries
	For EBR partitions, "start" is the relative starting sector of the EBR
	header itself, whereas "offset" is the relative starting byte of the
	partition's contents, excluding the EBR header and any padding. Thus we
	must use "offset", and divide by the sector size to convert to sectors.

	Fixes Debian bug #923253.

	Reviewed-by: Colin Watson <cjwatson@ubuntu.com>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-02-26  Steve McIntyre  <93sam@debian.org>

	grub-install: Check for arm-efi as a default target
	Much like on x86, we can work out if the system is running on top of EFI
	firmware. If so, return "arm-efi". If not, fall back to "arm-uboot" as
	previously.

	Split out the code to (maybe) load the efivar module and check for
	/sys/firmware/efi into a common helper routine is_efi_system().

	Reviewed-by: Leif Lindholm <leif.lindholm@linaro.org>
	Reviewed-by: Daniel Kiper <daniel.kiper@oracle.com>

2019-02-26  Daniel Kiper  <daniel.kiper@oracle.com>

	Revert "grub-install: Check for arm-efi as a default target"
	This reverts commit 082fd84d525f8d6602f892160b77c0a948308a78.

	Incorrect version of the patch was pushed into the git repo.

	Reported-by: Leif Lindholm <leif.lindholm@linaro.org>

2019-02-25  Alexander Graf  <agraf@suse.de>

